Bug 995259 - Google removed as available search engine in thunderbird 11 and greater
Google removed as available search engine in thunderbird 11 and greater
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-08 17:03 EDT by Michael Gregg
Modified: 2014-08-05 07:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-08 17:04:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
google plugin for thunderbird (5.59 KB, application/x-xpinstall)
2013-08-08 17:03 EDT, Michael Gregg
no flags Details

  None (edit)
Description Michael Gregg 2013-08-08 17:03:36 EDT
Created attachment 784596 [details]
google plugin for thunderbird

Description of problem:
Right clicking on selected text in a message used to allow the user to search for that text on google. The search option defaults to bind, and the configuration item for what search engine to used will not allow the user to select google. 

There is a fix for this, and this bug is meant to be documentation. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open a email message in thunderbird
2. Select some text.
3. Right click on text.
4. Observe the Search function now searches on Bing and not on Google.

Actual results:
Search function now searches on Bing and not on Google.

Expected results:
I'd expect changing the browser.search.defaultenginename option in the config to "Google" should allow the user to search for text on google and not bing

Additional info:
As far as I can tell this change was made purely for political reasons, and it's terribly frustrating.
How to fix this:
Fix seems to come from a bug detailed here:

The fix involves installing a google plugin into thunderbird.  Get that plugin here:

I am attaching the plugin to archive it.
Comment 1 Jan Horak 2013-08-13 04:17:37 EDT
Could you please attach link to upstream bugzilla when closing as upstream? Thank you.
Comment 2 Michael Gregg 2013-08-13 14:38:34 EDT
Closing as "upstream wasn't quite right as the upstream maintiners seem to have no interest in fixing this. 

Maybe closing is as "wontfix" would be better. 

Users are suggested to use the workaround detailed above.

Note You need to log in before you can comment on or make changes to this bug.